package com.template.model.seewo;

import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 全量班级信息
 * 全量班级信息
 *
 * @author auto create
 * @since 2.0.1 2023-12-25
 */
public class OrgClassOpenSeewoUcOpenV1ClassFullRequest extends OpenApiRequest<OrgClassOpenSeewoUcOpenV1ClassFullParam, OrgClassOpenSeewoUcOpenV1ClassFullResult> {

    public OrgClassOpenSeewoUcOpenV1ClassFullRequest(OrgClassOpenSeewoUcOpenV1ClassFullParam param) {
        this();
        setBizModel(param);
    }

    public OrgClassOpenSeewoUcOpenV1ClassFullRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/organization/org-class-open/seewo/uc/open/v1/class/full");
        setHttpMethod("POST");
    }

    public Class<OrgClassOpenSeewoUcOpenV1ClassFullResult> getResponseClass() {
        return OrgClassOpenSeewoUcOpenV1ClassFullResult.class;
    }

    public Class<OrgClassOpenSeewoUcOpenV1ClassFullParam> getDomainClass() {
        return OrgClassOpenSeewoUcOpenV1ClassFullParam.class;
    }
}

